<?php 

$luxury_interior_color_scheme_one = get_theme_mod('luxury_interior_color_scheme_one');
$luxury_interior_color_scheme_css = "";

/*------------------ Global First Color -----------*/

if ($luxury_interior_color_scheme_one) {
  $luxury_interior_color_scheme_css .= ':root {';
  $luxury_interior_color_scheme_css .= '--first-theme-color: ' . esc_attr($luxury_interior_color_scheme_one) . ' !important;';
  $luxury_interior_color_scheme_css .= '} ';
}

//---------------------------------Logo-Max-height--------- 
  $luxury_interior_logo_width = get_theme_mod('luxury_interior_logo_width');

  if($luxury_interior_logo_width != false){

    $luxury_interior_color_scheme_css .='.logo img{';

      $luxury_interior_color_scheme_css .='width: '.esc_html($luxury_interior_logo_width).'px;';

    $luxury_interior_color_scheme_css .='}';
  }

// slider false
  $luxury_interior_hide_categorysec = get_theme_mod('luxury_interior_hide_categorysec', false);
    $luxury_interior_slidersection = get_theme_mod('luxury_interior_slidersection');

  if($luxury_interior_hide_categorysec != true || $luxury_interior_slidersection != true){

    $luxury_interior_color_scheme_css .='.page-template-template-home-page .header, .page-template-template-home-page header#header{';

      $luxury_interior_color_scheme_css .='position:static !important; background-color:#262626 !important;';

    $luxury_interior_color_scheme_css .='}';
  }


  // slider false
$luxury_interior_button_text = get_theme_mod('luxury_interior_button_text');

if (empty($luxury_interior_button_text)) {
    $luxury_interior_color_scheme_css .= '.slide-btn a {';
    $luxury_interior_color_scheme_css .= 'visibility:hidden !important;';
    $luxury_interior_color_scheme_css .= '}';
}

/*---------------------------Slider Height ------------*/

    $luxury_interior_slider_img_height = get_theme_mod('luxury_interior_slider_img_height');
    if($luxury_interior_slider_img_height != false){
        $luxury_interior_color_scheme_css .='.slidesection img{';
            $luxury_interior_color_scheme_css .='height: '.esc_attr($luxury_interior_slider_img_height).' !important;';
        $luxury_interior_color_scheme_css .='}';
    }

  /*--------------------------- Footer background image -------------------*/

    $luxury_interior_footer_bg_image = get_theme_mod('luxury_interior_footer_bg_image');
    if($luxury_interior_footer_bg_image != false){
        $luxury_interior_color_scheme_css .='#footer, .footer-widget{';
            $luxury_interior_color_scheme_css .='background: url('.esc_attr($luxury_interior_footer_bg_image).') !important;';
        $luxury_interior_color_scheme_css .='}';
    }

  /*--------------------------- Footer image position -------------------*/

  $luxury_interior_footer_img_position = get_theme_mod('luxury_interior_footer_img_position','center center');
  if($luxury_interior_footer_img_position != false){
      $luxury_interior_color_scheme_css .='#footer, .footer-widget{';
          $luxury_interior_color_scheme_css .='background-position: '.esc_attr($luxury_interior_footer_img_position).' !important;';
      $luxury_interior_color_scheme_css .='}';
  }	

  /*--------------------------- Scroll to top positions -------------------*/

  $luxury_interior_scroll_position = get_theme_mod( 'luxury_interior_scroll_position','Right');
  if($luxury_interior_scroll_position == 'Right'){
      $luxury_interior_color_scheme_css .='#button{';
          $luxury_interior_color_scheme_css .='right: 20px;';
      $luxury_interior_color_scheme_css .='}';
  }else if($luxury_interior_scroll_position == 'Left'){
      $luxury_interior_color_scheme_css .='#button{';
          $luxury_interior_color_scheme_css .='left: 20px;';
      $luxury_interior_color_scheme_css .='}';
  }else if($luxury_interior_scroll_position == 'Center'){
      $luxury_interior_color_scheme_css .='#button{';
          $luxury_interior_color_scheme_css .='right: 50%;left: 50%;';
      $luxury_interior_color_scheme_css .='}';
  }    

  /*--------------------------- Woocommerce Product Image Border Radius -------------------*/

  $luxury_interior_woo_product_img_border_radius = get_theme_mod('luxury_interior_woo_product_img_border_radius');
  if($luxury_interior_woo_product_img_border_radius != false){
      $luxury_interior_color_scheme_css .='.woocommerce ul.products li.product a img{';
          $luxury_interior_color_scheme_css .='border-radius: '.esc_attr($luxury_interior_woo_product_img_border_radius).'px;';
      $luxury_interior_color_scheme_css .='}';
  }

/*--------------------------- Woocommerce Product Sale Position -------------------*/    

  $luxury_interior_product_sale_position = get_theme_mod( 'luxury_interior_product_sale_position','Left');
  if($luxury_interior_product_sale_position == 'Right'){
      $luxury_interior_color_scheme_css .='.woocommerce ul.products li.product .onsale{';
          $luxury_interior_color_scheme_css .='left:auto !important; right:.5em !important;';
      $luxury_interior_color_scheme_css .='}';
  }else if($luxury_interior_product_sale_position == 'Left'){
      $luxury_interior_color_scheme_css .='.woocommerce ul.products li.product .onsale {';
          $luxury_interior_color_scheme_css .='right:auto !important; left:.5em !important;';
      $luxury_interior_color_scheme_css .='}';
  }        

/*--------------------------- Shop page pagination -------------------*/

  $luxury_interior_wooproducts_nav = get_theme_mod('luxury_interior_wooproducts_nav', 'Yes');
  if($luxury_interior_wooproducts_nav == 'No'){
    $luxury_interior_color_scheme_css .='.woocommerce nav.woocommerce-pagination{';
      $luxury_interior_color_scheme_css .='display: none;';
    $luxury_interior_color_scheme_css .='}';
  }

/*--------------------------- Related Product -------------------*/

  $luxury_interior_related_product_enable = get_theme_mod('luxury_interior_related_product_enable',true);
  if($luxury_interior_related_product_enable == false){
    $luxury_interior_color_scheme_css .='.related.products{';
      $luxury_interior_color_scheme_css .='display: none;';
    $luxury_interior_color_scheme_css .='}';
  }

/*--------------------------- Scroll to Top Button Shape -------------------*/

$luxury_interior_scroll_top_shape = get_theme_mod('luxury_interior_scroll_top_shape', 'circle');
if($luxury_interior_scroll_top_shape == 'box' ){
  $luxury_interior_color_scheme_css .='#button{';
    $luxury_interior_color_scheme_css .=' border-radius: 0% !important';
  $luxury_interior_color_scheme_css .='}';
}elseif($luxury_interior_scroll_top_shape == 'curved' ){
  $luxury_interior_color_scheme_css .='#button{';
    $luxury_interior_color_scheme_css .=' border-radius: 20% !important';
  $luxury_interior_color_scheme_css .='}';
}elseif($luxury_interior_scroll_top_shape == 'circle' ){
  $luxury_interior_color_scheme_css .='#button{';
    $luxury_interior_color_scheme_css .=' border-radius: 50% !important';
  $luxury_interior_color_scheme_css .='}';
}

/*--------------------------- Menu Typography -------------------*/

$luxury_interior_theme_lay = get_theme_mod( 'luxury_interior_menu_text_transform','Uppercase');
if($luxury_interior_theme_lay == 'Uppercase'){
    $luxury_interior_color_scheme_css .='.main-nav a{';
        $luxury_interior_color_scheme_css .='text-transform: uppercase;';
    $luxury_interior_color_scheme_css .='}';
}else if($luxury_interior_theme_lay == 'Lowercase'){
    $luxury_interior_color_scheme_css .='.main-nav a{';
        $luxury_interior_color_scheme_css .='text-transform: lowercase;';
    $luxury_interior_color_scheme_css .='}';
}
else if($luxury_interior_theme_lay == 'Capitalize'){
    $luxury_interior_color_scheme_css .='.main-nav a{';
        $luxury_interior_color_scheme_css .='text-transform: capitalize;';
    $luxury_interior_color_scheme_css .='}';
}